#ifndef LISTA_H
#define LISTA_H

#include <stdlib.h>

typedef struct __SLista {
	void * objeto;
	struct __SLista * next;
} _SLista;

class Iterador {
public:
	bool hasNext();
	void * next();
	_SLista * lista;
};

class Lista {
public:
	Lista();
	~Lista();
	void add(void * objeto);
	void remove(void * objeto);
	void * get(int i);
	int count();
	Iterador * iterador();
private:
	_SLista * lista;
	int largo;
};

#endif
